Class
RightArrayBinaryTree
A special format to encode the structure of a wavelet tree. The structure is very space efficient because only one position is stored which encodes where the left and right subtree of a given node exist.
RightArrayBinaryTree<TValue, TSpec>
Include Headers
seqan/index.h
Parameters

TSpec | The value type, that is the type of the stored characters. The wavelet tree structure specialisation. Default: void.

Metafunctions

Fibre | Type of a specific container member (fibre).

Functions

begin | The begin of a container.
clear | Resets an object.
container | Container of an iterator.
createRightArrayBinaryTree | Computes the wavelet tree structure of a text.
empty | Test a container for being empty.
end | The end of a container.
getFibre | Returns a specific fibre of a container.
open | This functions loads a RightArrayBinaryTree from disk.
save | This functions saves a RightArrayBinaryTree to disk.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56